package com.yvr.testtobsetting;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.util.Log;

public class BootReceiver extends BroadcastReceiver {
    private static final String TAG = BootReceiver.class.getSimpleName();

    @Override
    public void onReceive(Context context, Intent intent) {
        Log.d(TAG, "onReceive " + intent.getAction());
        final Intent service = new Intent();
        service.setClass(context, AutoStartService.class);
        //java.lang.IllegalStateException: Not allowed to start service Intent { cmp=com.yvr.testtobsetting/.AutoStartService }: app is in background uid
        //context.startService(service);
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            context.startForegroundService(service);
        }
    }
}
