package com.yvr.testtobsetting.base;

import android.content.Context;

public abstract class BaseFiveItems extends BaseFourItems {

    private final BaseItem mFiveItem;

    public BaseFiveItems(Context context) {
        super(context);

        mFiveItem = new BaseItem(context) {
            @Override
            public String getName() {
                return getFiveName();
            }

            @Override
            protected String itemClickResult() {
                return fiveItemClickResult();
            }
        };
    }

    public BaseItem getFiveItem() {
        return mFiveItem;
    }

    public abstract String getFiveName();

    public abstract String fiveItemClickResult();
}
