package com.yvr.testtobsetting.base;

import android.content.Context;

public abstract class BaseFourItems extends BaseThreeItems {
    private final BaseItem mFourthItem;

    public BaseFourItems(Context context) {
        super(context);

        mFourthItem = new BaseItem(context) {
            @Override
            public String getName() {
                return getFourthName();
            }

            @Override
            protected String itemClickResult() {
                return fourthItemClickResult();
            }
        };
    }

    public BaseItem getFourthItem() {
        return mFourthItem;
    }

    public abstract String getFourthName();

    public abstract String fourthItemClickResult();
}
