package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.KeyConstants;
import com.yvr.tobsettings.ToBServiceHelper;

public class KeyXYMenu extends BaseThreeItems {
    public KeyXYMenu(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.disable_x);
    }

    @Override
    protected String itemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_X);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_X, enable);
        return null;
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.disable_menu);
    }

    @Override
    public String thirdItemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_MENU);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_MENU, enable);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.disable_y);
    }

    @Override
    public String secondItemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_Y);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_Y, enable);
        return null;
    }
}
