package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Handler;

import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class ScreenOffSleepTimeoutTest extends BaseThreeItems {

    public ScreenOffSleepTimeoutTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return "灭屏后5分钟左右休眠";
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setScreenOffSleepTimeOut(5*60);
        return "click "+ System.currentTimeMillis();
    }

    @Override
    public String getThirdName() {
        return "获取灭屏休眠的超时时间（单位min）";
    }

    @Override
    public String thirdItemClickResult() {
        final int timeout = ToBServiceHelper.getInstance().getScreenOffSleepTimeOut()/60;
        return "timeout:" + timeout + "min";
    }

    @Override
    public String getSecondName() {
        return "灭屏后10分钟左右休眠";
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setScreenOffSleepTimeOut(10*60);
        return "click "+ System.currentTimeMillis();
    }
}
