package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class ScreencastInfoTest extends BaseThreeItems {
    public ScreencastInfoTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.screencast_state);
    }

    @Override
    protected String itemClickResult() {
        String state =  ToBServiceHelper.getInstance().getScreenCastConnectState();
        return showResult(R.string.screencast_state, state);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.screencast_list);
    }

    @Override
    public String thirdItemClickResult() {
        String list =  ToBServiceHelper.getInstance().getAvailableScreenCastDevices();
        return showResult(R.string.screencast_list, list);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.screencast_connected_device);
    }

    @Override
    public String secondItemClickResult() {
        String devices =  ToBServiceHelper.getInstance().getConnectedScreenCastDevices();
        return showResult(R.string.screencast_connected_device, devices);
    }
}
