package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class ScreencastScanTest extends BaseTwoItems {
    public ScreencastScanTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.start_scan_screencast);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().startScanScreenCast();
        return showResult(R.string.start_scan_screencast, true);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.stop_scan_screencast);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().stopScanScreenCast();
        return showResult(R.string.stop_scan_screencast, true);
    }
}
