package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.List;

public class TopRunningAppTest extends BaseItem {

    private static final String TAG = TopRunningAppTest.class.getSimpleName();

    public TopRunningAppTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.get_main_display_top_running_app_list);
    }

    @Override
    protected String itemClickResult() {
        return ToBServiceHelper.getInstance().getTopRunningApp();
    }

}
