package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class UsbDebugTest extends BaseThreeItems {
    public UsbDebugTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.usb_mode_on);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setUsbDebugMode(true);
        return null;
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.current_usb_mode);
    }

    @Override
    public String thirdItemClickResult() {
        boolean result = false;
        result = ToBServiceHelper.getInstance().getUsbDebugMode();
        return mContext.getString(R.string.current_usb_mode) + ":" + result;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.usb_mode_off);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setUsbDebugMode(false);
        return null;
    }
}
