package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.util.Log;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class AppCopyrightTest extends BaseItem {

    public AppCopyrightTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return "appCopyrightVerify";
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    protected String itemClickResult() {
        Log.d(TAG, "appCopyrightVerify");
        ToBServiceHelper.getInstance().appCopyrightVerify("com.yvr.test", new Consumer<Integer>() {
            @Override
            public void accept(Integer result) {
                Log.d(TAG, "appCopyrightVerify accept " + result.toString());
            }
        });
        return "ok";
    }
}
