package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;
import com.yvr.testtobsetting.R;

public class AppKeepAliveTest extends BaseThreeItems {
    public static final String DOUYIN_PKG = "com.ss.android.ugc.aweme";
    public AppKeepAliveTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.is_keep_alive_app);
    }

    @Override
    public String thirdItemClickResult() {
        boolean isKeepAlive = ToBServiceHelper.getInstance().isAppKeepAlive(DOUYIN_PKG);
        return isKeepAlive ? DOUYIN_PKG + "处于保活状态" : DOUYIN_PKG + "没有处于保活状态";
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.keep_alive_app);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setAppKeepAlive(DOUYIN_PKG,true);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.cancle_alive_app);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setAppKeepAlive(DOUYIN_PKG,false);
        return null;
    }
}
