package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.List;
import com.yvr.testtobsetting.R;
public class AppListTest extends BaseItem {

    private static final String TAG = AppListTest.class.getSimpleName();

    public AppListTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.get_app_list);
    }

    @Override
    protected String itemClickResult() {
        final StringBuffer sb = new StringBuffer();
        final List<String > appList = ToBServiceHelper.getInstance().getAppList();
        for(String app : appList) {
            sb.append(app);
            Log.d(TAG, "itemClickResult -- " + app);
        }
        return sb.toString();
    }

}
