package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class EyeProtectionTest extends BaseThreeItems {
    public EyeProtectionTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.eye_protection_state);
    }

    @Override
    public String thirdItemClickResult() {
        boolean on = ToBServiceHelper.getInstance().getEyeProtectionMode();
        return showResult(R.string.eye_protection_state, on ? "ON" : "OFF");
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.eye_protection_on);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setEyeProtectionMode(true);;
        return showResult(R.string.eye_protection_on, true);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.eye_protection_off);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setEyeProtectionMode(false);;
        return showResult(R.string.eye_protection_off, true);
    }
}
