package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class GestureCtrlHomeIconTest extends BaseThreeItems {
    public GestureCtrlHomeIconTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.get_home_icon);
    }

    @Override
    public String thirdItemClickResult() {
        return ToBServiceHelper.getInstance().isShowGestureCtrlHomeIcon() ? mContext.getString(R.string.show) : mContext.getString(R.string.hide);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.hide_home_icon);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setShowGestureCtrlHomeIcon(false);
        return null;
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.show_home_icon);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setShowGestureCtrlHomeIcon(true);
        return null;
    }
}
