package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class HomeTest extends BaseTwoItems {
    private static final String TAG = HomeTest.class.getSimpleName();

    public HomeTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        Log.d(TAG, "mrhome: http://192.168.9.249:8084/artifactory/YVR-YUI/MRHome/Dev/20240604/1.0.2/2863/MRHome_v1.0.2_2644edce.apk");
        return mContext.getString(R.string.enable_3rd_home)
                + ", 请先安装mrhome，地址见logcat日志:adb logcat -s HomeTest";
    }

    @Override
    protected String itemClickResult() {
        //com.yvr.mrhome
        boolean ret = ToBServiceHelper.getInstance().changeThirdHomeState("com.yvr.mrhome", true);
        return showResult(R.string.enable_3rd_home, ret);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.enable_yvr_home);
    }

    @Override
    public String secondItemClickResult() {
        boolean ret = ToBServiceHelper.getInstance().changeThirdHomeState("com.yvr.mrhome", false);
        return showResult(R.string.enable_yvr_home, ret);
    }
}
