package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class HwInfoTest extends BaseThreeItems {
    public HwInfoTest(Context context) {
        super(context);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.bt_mac);
    }

    @Override
    public String secondItemClickResult() {
        return ToBServiceHelper.getInstance().getBtMac();
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.wifi_mac);
    }

    @Override
    public String thirdItemClickResult() {
        return ToBServiceHelper.getInstance().getWifiMac();
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.sn);
    }

    @Override
    protected String itemClickResult() {
        return ToBServiceHelper.getInstance().getDeviceSn();
    }
}
