package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.KeyConstants;
import com.yvr.tobsettings.ToBServiceHelper;

public class KeyABHome extends BaseThreeItems {
    public KeyABHome(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.disable_a);
    }

    @Override
    protected String itemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_A);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_A, enable);
        return null;
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.disable_home);
    }

    @Override
    public String thirdItemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_HOME);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_HOME, enable);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.disable_b);
    }

    @Override
    public String secondItemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_B);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_B, enable);
        return null;
    }
}
