package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class PassthroughTest extends BaseThreeItems {
    public PassthroughTest(Context context) {
        super(context);
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.passthrogh_state);
    }

    @Override
    public String thirdItemClickResult() {
        return "VST State:"+ToBServiceHelper.getInstance().isPassthroughVisibility();
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.open_passthrough);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setPassthroughVisibility(true);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.close_passthrough);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setPassthroughVisibility(false);
        return null;
    }
}
