package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.RemoteException;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class RebootTest extends BaseTwoItems {

    public RebootTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.reboot);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().reboot();
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.shutdown);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().shutdown();
        return null;
    }
}
