package com.yvr.testtobsetting.test;

import android.content.Context;
import android.os.Build;
import android.util.Log;

import androidx.annotation.RequiresApi;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.function.Consumer;

public class SwInfoTest extends BaseTwoItems {
    public SwInfoTest(Context context) {
        super(context);
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.version);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    @Override
    public String secondItemClickResult() {
        return ToBServiceHelper.getInstance().getSoftwareVersion();
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.model);
    }

    @Override
    protected String itemClickResult() {
        return ToBServiceHelper.getInstance().getDeviceModel();
    }
}
