package com.yvr.testtobsetting.test;

import android.content.Context;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseThreeItems;
import com.yvr.tobsettings.ToBServiceHelper;

public class SystemUpgradeTest extends BaseThreeItems {
    public SystemUpgradeTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.system_upgrade_on);
    }

    @Override
    protected String itemClickResult() {
        ToBServiceHelper.getInstance().setSystemUpgradeState(true);
        return null;
    }

    @Override
    public String getThirdName() {
        return mContext.getString(R.string.current_system_upgrade_state);
    }

    @Override
    public String thirdItemClickResult() {
        boolean result = false;
        result = ToBServiceHelper.getInstance().isSystemUpgradeEnable();
        return mContext.getString(R.string.current_system_upgrade_state) + ":" + result;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.system_upgrade_off);
    }

    @Override
    public String secondItemClickResult() {
        ToBServiceHelper.getInstance().setSystemUpgradeState(false);
        return null;
    }
}
