package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.tobsettings.ToBServiceHelper;

import java.util.List;

public class ThirdPartyRunningAppListTest extends BaseItem {

    private static final String TAG = ThirdPartyRunningAppListTest.class.getSimpleName();

    public ThirdPartyRunningAppListTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.get_third_party_running_app_list);
    }

    @Override
    protected String itemClickResult() {
        final StringBuffer sb = new StringBuffer();
        final List<String > appList = ToBServiceHelper.getInstance().getRunningThirdPartyAppPackageName();
        for(String app : appList) {
            sb.append(app);
            Log.d(TAG, "itemClickResult -- " + app);
        }
        return sb.toString();
    }

}
