package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.KeyConstants;
import com.yvr.tobsettings.ToBServiceHelper;

public class ThumbstickTest extends BaseTwoItems {
    public ThumbstickTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.left_thumbstick);
    }

    @Override
    protected String itemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_LEFT_THUMBSTICK);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_LEFT_THUMBSTICK, enable);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.right_thumbstick);
    }

    @Override
    public String secondItemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_RIGHT_THUMBSTICK);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_RIGHT_THUMBSTICK, enable);
        return null;
    }
}
