package com.yvr.testtobsetting.test;

import android.content.Context;
import android.util.Log;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseTwoItems;
import com.yvr.tobsettings.KeyConstants;
import com.yvr.tobsettings.ToBServiceHelper;

public class TriggerTest extends BaseTwoItems {
    public TriggerTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.left_trigger);
    }

    @Override
    protected String itemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_LEFT_TRIGGER);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_LEFT_TRIGGER, enable);
        return null;
    }

    @Override
    public String getSecondName() {
        return mContext.getString(R.string.right_trigger);
    }

    @Override
    public String secondItemClickResult() {
        boolean enable = ToBServiceHelper.getInstance().getControllerButtonEnableState(KeyConstants.KEY_RIGHT_TRIGGER);
        ToBServiceHelper.getInstance().setControllerButtons(KeyConstants.KEY_RIGHT_TRIGGER, enable);
        return null;
    }
}
