package com.yvr.testtobsetting.test;

import android.content.Context;
import android.content.Intent;

import com.yvr.testtobsetting.R;
import com.yvr.testtobsetting.base.BaseItem;
import com.yvr.tobsettings.ToBServiceHelper;

import java.io.File;

public class VideoPlayTest extends BaseItem {
    public VideoPlayTest(Context context) {
        super(context);
    }

    @Override
    public String getName() {
        return mContext.getString(R.string.video_play);
    }

    @Override
    protected String itemClickResult() {
        // /sdcard/demo2/demo2.m3u8
        final String test = "/sdcard/config/video1000/video1000.m3u8";
        File file = new File(test);
        if (!file.exists()) {
            return mContext.getString(R.string.video_play_file);
        }
        Intent intent = new Intent();
        intent.putExtra("filePath", test);
        ToBServiceHelper.getInstance().startVideoPlay(intent);
        return null;
    }
}
